#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x97,0xFE,0xB2,0xB9,0x92,0x6C,0x4C,0x91,0x71,0x43,0x51,0xD6,
		0x9F,0x80,0xC1,0xD2,0xD8,0x23,0xC0,0x69,0x65,0x5E,0x4D,0xA4,
		0x9C,0x0B,0xC9,0x50,0x3B,0x65,0x8E,0x9F,0x11,0x0A,0x26,0xD6,
		0x3B,0xEF,0xF4,0x46,0x2B,0xE1,0x82,0x68,0xE0,0x46,0xC3,0x07,
		0x07,0x76,0x56,0x8F,0x45,0xF4,0x59,0xD9,0x07,0x87,0xAF,0x87,
		0x8C,0x9C,0x0D,0x4F,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
